Bug 1253647 - jboss-on-agent-init-ec2 requires old package
jboss-on-agent-init-ec2 requires old package
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: RPM (Show other bugs)
JON 3.3.0
Unspecified Unspecified
high Severity medium
: CR01
: JON 3.3.6
Assigned To: Stefan Negrea
Mike Foley
: Triaged
Depends On: 1353617
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 07:26 EDT by Katerina Novotna
Modified: 2016-07-27 11:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 11:30:05 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Katerina Novotna 2015-08-14 07:26:33 EDT
Description of problem:
Repository: jb-eap-6-for-rhel-7-for-power-rpms

When installing packages from above repository, the installation of jboss-on-agent-ec2 fails with:

--> Finished Dependency Resolution
Error: Package: jboss-on-agent-init-ec2-3.3-3.3.0.GA-34.ep6.el7.noarch (jb-eap-6-for-rhel-7-for-power-rpms)
           Requires: jboss-on-agent-3.3 = 3.3.0.GA-34.ep6.el7
           Available: jboss-on-agent-3.3-3.3.0.GA-15.ep6.el7.noarch (jb-eap-6-for-rhel-7-for-power-rpms)
               jboss-on-agent-3.3 = 3.3.0.GA-15.ep6.el7
           Available: jboss-on-agent-3.3-3.3.0.GA-34.ep6.el7.noarch (jb-eap-6-for-rhel-7-for-power-rpms)
               jboss-on-agent-3.3 = 3.3.0.GA-34.ep6.el7
           Installing: jboss-on-agent-3.3-3.3.0.GA-52.ep6.el7.noarch (jb-eap-6-for-rhel-7-for-power-rpms)
               jboss-on-agent-3.3 = 3.3.0.GA-52.ep6.el7


Version-Release number of selected component (if applicable):
jboss-on-agent-init-ec2-3.3-3.3.0.GA-34.ep6.el7.noarch
ppc64 platform

How reproducible:
always

Steps to Reproduce:
1. yum install jboss-on-agent (installs jboss-on-agent-3.3-3.3.0.GA-52 as latest version)
2. yum install jboss-on-agent-init-ec2-3.3 (requires older version of jboss-on-agent (3.3.0.GA-34))
3.

Actual results:
.live.[root@ibm-p750e-01-lp3 ~]# yum install jboss-on-agent-init-ec2-3.3
Loaded plugins: product-id, subscription-manager, yum_checksum
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package jboss-on-agent-init-ec2-3.3.noarch 0:3.3.0.GA-34.ep6.el7 will be installed
--> Processing Dependency: jboss-on-agent-3.3 = 3.3.0.GA-34.ep6.el7 for package: jboss-on-agent-init-ec2-3.3-3.3.0.GA-34.ep6.el7.noarch
--> Finished Dependency Resolution
Error: Package: jboss-on-agent-init-ec2-3.3-3.3.0.GA-34.ep6.el7.noarch (jb-eap-6-for-rhel-7-for-power-rpms)
           Requires: jboss-on-agent-3.3 = 3.3.0.GA-34.ep6.el7
           Installed: jboss-on-agent-3.3-3.3.0.GA-52.ep6.el7.noarch (@jb-eap-6-for-rhel-7-for-power-rpms)
               jboss-on-agent-3.3 = 3.3.0.GA-52.ep6.el7
           Available: jboss-on-agent-3.3-3.3.0.GA-15.ep6.el7.noarch (jb-eap-6-for-rhel-7-for-power-rpms)
               jboss-on-agent-3.3 = 3.3.0.GA-15.ep6.el7
           Available: jboss-on-agent-3.3-3.3.0.GA-34.ep6.el7.noarch (jb-eap-6-for-rhel-7-for-power-rpms)
               jboss-on-agent-3.3 = 3.3.0.GA-34.ep6.el7


Expected results:
Installation passes.


Additional info:
Comment 3 Simeon Pinder 2015-12-01 11:49:00 EST
SHORT:
We will be closing this issue as not a bug as PowerPC is not actually a "natively" supported platform for JON.  See [1] in the "JBoss ON Agent and Server Native Library Support" for more details.

LONGER: 
- This issue was created because initially the JON agent rpms and ec2 artifacts were being pushed to all rpm channels.
- This has been happening for quite a while now and luckily no customers have tried to use the rpms and it's natively bundled components on that platform.
- Initially EAP QE realized that the extra 'ec2' artifacts were being incorrectly included and those same artifacts and were correctly removed with [2].  
- Due to dependency issues between 'rpm' and 'ec2' artifacts, removing only ec2 artifacts caused the filing of this BZ was done. 
- On further investigation of the supported list of native platforms [1] and specifically in the "JBoss ON Agent and Server Native Library Support" section, where PowerPC is not listed.
- To a)avoid any future confusion for customers and b)any future update dependency failures, I'm going to create a new eng-ops ticket to remove the remaining powerpc artifacts from future rpm powerpc channels.   

Moving this issue to ASSIGNED state so that we can notify a few people before, filing eng-ops ticket and closing.

[1] https://access.redhat.com/articles/112523
[2] https://engineering.redhat.com/rt/Ticket/Display.html?id=336138
Comment 7 Simeon Pinder 2016-07-21 02:34:40 EDT
Moving to ON_QA as available to test with the following build:

https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=504646

* Note  jon-server-patch-3.3.0.GA.zip maps to jon-server-3.3.0.GA-update-06 and is CR01 build of JON 3.3.6.
Comment 10 errata-xmlrpc 2016-07-27 11:30:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1519.html

Note You need to log in before you can comment on or make changes to this bug.